<template>
  <div class="accordion" id="accordionExample">
    <div class="card">
      <div class="card-header" id="headingOne">
        <h2 class="mb-0">
          <button class="btn btn-block" type="button" data-toggle="collapse"
            data-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
            <h5 class="font-weight-bold text-center text-white mt-2">
              Categories
            </h5>
          </button>
        </h2>
      </div>

      <div id="collapseOne" class="collapse show" aria-labelledby="headingOne" data-parent="#accordionExample">
        <div class="card-body">

          <ul class="list-group">

            <router-link :to="{ name: 'detail_category', params: { slug: category.slug } }" v-for="category in getFiveCategories" :key="category.id"
              class="list-group-item shadow-sm font-weight-bold text-decoration-none text-dark text-left d-inline">
              <img :src="category.image" style="width:35px" class="img-fluid px-2 d-none d-lg-inline-block"> {{ category.name }}
            </router-link>

            <router-link :to="{ name: 'categories' }"
              class="list-group-item text-center active shadow-sm font-weight-bold text-decoration-none">
              Other Categories
            </router-link>
          </ul>
        </div>
      </div>
    </div>

  </div>
</template>

<script>
import { computed, onMounted } from "vue";
import { useStore } from "vuex";
export default {
  name: "CategoryComponent",

  setup() {
    // store vuex
    const store = useStore();

    //onMounted akan menjalankan action getCategories di module category, sebelum computed di atas dijalankan
    onMounted(() => {
      store.dispatch("category/getCategories");
      store.dispatch("category/getFiveCategories");
    });

    //computed properti digunakan untuk get data categories dari state di module category
    const categories = computed(() => {
      return store.state.category.categories;
    });

    const getFiveCategories = computed(() => {
      return store.state.category.getFiveCategories;
    })

    return {
      categories,
      getFiveCategories
    }
  },
};
</script>


<style scoped>
.card-header {
  background: linear-gradient(90deg, #CC2B5E 0%, #753A88 100%);
  padding: 0 !important;
}
.accordion {
  padding: 0 !important;
}
button:focus {
    box-shadow: none !important;
    border-color: none !important;
}
</style>